This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen
Bug 358 - pkg_config_libdir-NOTFOUND/pkgconfig/eigen3.pc from 3.0.3 pkgconfig logic
Summary: pkg_config_libdir-NOTFOUND/pkgconfig/eigen3.pc from 3.0.3 pkgconfig logic
Status: RESOLVED FIXED
Alias: None
Product: Eigen
Classification: Unclassified
Component: General (show other bugs)
Version: 3.0
Hardware: All All
: --- minor
Assignee: Nobody
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-06 23:28 UTC by Rhys Ulerich
Modified: 2019-12-04 11:10 UTC (History)
3 users (show)



Attachments

Description Rhys Ulerich 2011-10-06 23:28:09 UTC
Pointing 3.0.3's installation to a non-existent directory causes a wonky pkgconfig directory to be created:

cmake -DCMAKE_INSTALL_PREFIX=../foo ../eigen-eigen-3.0.3/ # foo does not exist
...
-- searching for 'pkgconfig' directory in PKG_CONFIG_LIBDIR (  ), /h2/rhys/tmp/foo/share, and /h2/rhys/tmp/foo/lib
-- found pkg_config_libdir-NOTFOUND/pkgconfig
...
make install

which shows  foo/pkg_config_libdir-NOTFOUND/pkgconfig/eigen3.pc as the installed file.

Most folks probably point the install prefix to a known good location.  I use it to build loadable modules.  Easy enough to workaround.  Just wanted to get it filed.

- Rhys
Comment 1 Jitse Niesen 2011-11-22 18:35:10 UTC
I tried to fix this with changesets 82eb27aa4d89 and c0a1d0e5ea0c. However, cmake still gives me the creeps, so I am not extremely confident that it works. In other words, please test ...
Comment 2 Rhys Ulerich 2011-11-22 18:42:07 UTC
That looks right to me.  Thanks Jitse.
Comment 3 Nobody 2019-12-04 11:10:24 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/358.

Note You need to log in before you can comment on or make changes to this bug.